
QGIS Application - Bug report #13453

QGIS crashes when applying rule based label using data defined setting

2015-09-29 06:35 PM - Nyall Dawson

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21500

Description

Steps to reproduce:

1. add a new rule based label

2. apply a data defined override to a property in the label

3. try to apply the layer settings - crash!

Associated revisions

Revision 1c877f11 - 2015-09-30 06:36 AM - Martin Dobias

Fix another crash with rule-based labeling + data-defined properties (fixes #13453)

The writing of data-defined properties to XML was using invalid data.

Also fixes a possible memory leak in assignment operator.

Thanks Nyall for help tracking it down!

This code has been funded by Tuscany Region (Italy) - SITA (CIG: 63526840AE) and commissioned to Gis3W s.a.s.

History

#1 - 2015-09-29 09:41 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"1c877f116ca9f1605d3fc69786830e84fd7748ea".
